Package org.apache.batchee.extras.async

## Class AsynchronousItemProcessor

- java.lang.Object
- - org.apache.batchee.extras.async.AsynchronousItemProcessor

- All Implemented Interfaces:
    `javax.batch.api.chunk.ItemProcessor`

      public class AsynchronousItemProcessor
      extends Object
      implements javax.batch.api.chunk.ItemProcessor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AsynchronousItemProcessor.DaemonThreadFactory` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected javax.batch.api.chunk.ItemProcessor` | `delegate` |
    `protected ExecutorService` | `es` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsynchronousItemProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected javax.batch.api.chunk.ItemProcessor` | `getDelegate()` |
    `protected ExecutorService` | `getExecutor()` |
    `Object` | `processItem​(Object o)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### es

          protected ExecutorService es

    - #### delegate

          protected javax.batch.api.chunk.ItemProcessor delegate

  - ### Constructor Detail

    - #### AsynchronousItemProcessor

          public AsynchronousItemProcessor()

  - ### Method Detail

    - #### getExecutor

          protected ExecutorService getExecutor()

    - #### getDelegate

          protected javax.batch.api.chunk.ItemProcessor getDelegate()

    - #### processItem

          public Object processItem​(Object o)
                             throws Exception

      Specified by:
        `processItem` in interface `javax.batch.api.chunk.ItemProcessor`
      Throws:
        `Exception`